
<?php
    $brandName = null;
    if($this->BrandName) {
        $brandName = $this->BrandName;
        $brandUrl = $this->BrandUrl;
        $brandDescription = $this->BrandDescription;
    }
    $brand = $this->brand;
?>
<style type="text/css">
.modal-backdrop{background-color: #ccc;}
.modal-backdrop.in {
  opacity: 0.8;
}
</style>
<div class="col-md-12 col-sm-12">
    <div class="socialcontainer aboutus-container">
        <div class="two-3columns-new">
            <div class="about">
                <div class="about-nav">
                    <ul>
                        <li class="active"  data-activation-target="true"><a data-target-segment="about"            href="#"><span>About Us</span></a></li>
                        <li                 data-activation-target="true"><a data-target-segment="about-management" href="#"><span>Management Team</span></a></li>
                    </ul>
                </div>
            </div>
            
            <div class="left-about">
            
                <div id="aboutus_add_form" class="aboutus_add_form" style="display: none;">
                    <div class="aboutus_form">
                        <?php 
                            $descPlaceHolder = ($this->aboutHeaderIndex == 0) ? "Description about ".strtolower($this->aboutHeaderTitle) : 
                                ($this->aboutHeaderIndex > 0) ? "Description about ".strtolower($this->aboutHeaderTitle) : "Description about us";
                            $title  = ($this->aboutHeaderIndex == 0) ? "Aditional title" : $this->aboutHeaderTitle;
                        ?>
                        <input type="text" class="form-control aboutus_title" id="aboutus_title" placeholder="Title e.g <?php echo $title; ?>">
                        <input type="hidden" name="hdnAboutHeader" id="hdnAboutHeader" value="<?php echo $this->aboutHeaderTitle; ?>" />
                        <div class="aboutus_description_box">
                            <textarea placeholder="<?php echo $descPlaceHolder; ?>" id="aboutus_description" class="aboutus_description form-control"></textarea>
                            
                            <button class="postblueBtnCategory" onclick="javscript: addAboutUs();" type="button">Add</button>
                            <button class="hideBtnCategory" onclick="javascript: cancelAboutForm('add');" type="button" id="prikaziCovere2">Close</button>
                        </div>
                        
                    </div>
                </div>
                
                <div id="aboutus_edit_form" class="aboutus_add_form" style="display: none;">
                </div>
                
                <?php if($this->userCanEditBrand){ ?>
                    <a href="javascript:void(0);" onclick="javascript: displayAddFrom(this);" class="about-box add-about">
                        <div class="clear"></div>
                    </a>
                <?php } ?>
                
                <ul id="aboutus_list">
                    <?php if(!empty($this->aboutLists)){ ?>
                    
                        <?php foreach($this->aboutLists as $aboutList){ ?>
                        
                            <?php
                                $isFullDescription = false; 
                                $cursorCls = "";
                                $targetModal = '';
                                if(isset($aboutList->aboutFullDescription) && !empty($aboutList->aboutFullDescription)){
                                    $isFullDescription = true;
                                    $cursorCls = "makeCursor";
                                    $targetModal = 'data-toggle="modal" data-target="#detailModel'.$aboutList->id.'"';
                                }
                            ?>
                            
                            <li id="about_data_<?php echo $aboutList->id; ?>" class="about-box" data-id="<?php echo $aboutList->id; ?>">
                            
                                <?php if($this->userCanEditBrand){ ?>
                                    <a class="my-handle moveBox" href="javascript:void(0);"><img src="/images/move.png" class="move"></a>
                                    <ul>
                                    <li class="olovka dropdown">
                                        <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                                            <i class="fa fa-pencil" aria-hidden="true"></i>
                                        </a>
                                        <ul class="dropdown-menu aboutPopup">
                                            <div class="aboutPop">
                                                <ul>
                                                    <li>
                                                        <a href="javascript: void(0);" data-id="<?php echo $aboutList->id; ?>" onclick="editAboutPopup(this);">
                                                            <img src="/images/pen.png"><span>Edit</span>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="<?php echo $this->url("delete-about", ["aboutId" => $aboutList->id]); ?>" onclick="javascript: deleteAbout($(this)); return false;" data-id="<?php echo $aboutList->id; ?>">
                                                            <img src="/images/trash.png"><span>Delete</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </ul>
                                    </li>
                                    </ul>
                                <?php } ?>
                                
                                <div class="clear"></div>
                                <div class="popupop <?php echo $cursorCls; ?>" <?php echo $targetModal; ?> href="javascript:void(0);">    
                                    <h3><?php echo $aboutList->aboutTitle; ?></h3>
                                    <img src="/images/sep.png" class="sep">
                                    <h5><?php echo $aboutList->aboutDescription; ?></h5>
                                </div>
                            </li>
                            
                            <div id="detailModel<?php echo $aboutList->id; ?>" class="modal fade" role="dialog">
                                <div class="modal-dialog">

                                    <div class="modal-content aboutus_details">
                                  
                                        <div class="modal-body">
                                            <button type="button" class="close" data-dismiss="modal"><img src="/images/exit_blue.png"></button>
                                            <h3><?php echo $aboutList->aboutTitle; ?></h3>
                                            <img src="/images/sep.png" class="sep">
                                            <h5><?php echo $aboutList->aboutFullDescription; ?></h5>
                                        </div>
                                  
                                    </div>

                                  </div>
                            </div>
                            
                        <?php } ?>
                    <?php } ?>
                </ul>
                
                <?php 
                    $isListEven =  (count($this->aboutLists) > 0 && count($this->aboutLists) % 2 === 0) ? 'is_list_even' : '';
                ?>
                    
               <div class="about-box-extra <?php echo $isListEven; ?>">
                    <div class="color-line-blue">
                        <span></span>
                    </div>
                    <div class="color-line-gray">
                        <span></span>
                    </div>
                </div>
                
            </div>
            <!-- end of social content -->
            <div class="clear"></div>
        </div>

        
        <?php

            echo $this->partial('brand-info-partial', [
                'brand' => $this->brand,
                'user' => $this->user,
                'isBrandAdmin' => $this->user,
                'bannerUrl' => $this->bannerUrl,
            ]);

        ?>

        
    </div>
</div>
<script src="//cdnjs.cloudflare.com/ajax/libs/Sortable/1.4.2/Sortable.min.js"></script>

<script type="text/javascript">
function displayAddFrom(obj)
{
/*    $(obj).hide('slow', function(){*/
        $('.aboutus_add_form').hide();
        $('#aboutus_add_form').slideDown('slow');
        $('html,body').animate({
                scrollTop: $('#aboutus_add_form').offset().top},
            'slow');
/*    });*/
}

function cancelAboutForm(type)
{
    $('#aboutus_'+type+'_form').slideUp('slow');
}

function addAboutUs()
{
    var titleField = $('#aboutus_add_form #aboutus_title');
    var contentField = $('#aboutus_add_form #aboutus_description');
    var header = $('#aboutus_add_form #hdnAboutHeader').val();
    
    if((titleField.length && titleField.val().trim().length < 1) || contentField.val().trim().length < 1)
    {
        labAlert("Please fill in the title and description before submitting the about us.");
        return;
    }
    
    window.loadingIndicator($('body'));
    $('.about-box-extra').removeClass('is_list_even');
    ajaxSubmit('/$aboutAdd/'+g_brand.url , {
        'title': titleField.val().trim(),
        'content': contentField.val().trim(),
        'header': header,
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while submitting the about us. " + error);
        }else{
            console.log("about us submitted", data);
           
            var msg = 'About us submitted successfully.';
            var dataContent = data.aboutUS;
            
            var isFullDescription = false;
            var cursorCls = "";
            var targetModal = '';
            if(typeof(dataContent.aboutFullDescription) != "undefined" && dataContent.aboutFullDescription !== null) {
                isFullDescription = true;
                cursorCls = "makeCursor";
                targetModal = 'data-toggle="modal" data-target="#detailModel'+dataContent.id+'"';
            }
            
            var html = '<li id="about_data_'+dataContent.id+'" class="about-box" data-id="'+dataContent.id+'">'+
/*                            '<div class="dropdown about-actions">'+*/
                                '<a class="my-handle moveBox" href="#"><img src="/images/move.png" class="move"></a>'+
                                '<ul>'+
                                    '<li class="olovka dropdown">'+
                                        '<a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">'+
                                            '<i aria-hidden="true" class="fa fa-pencil"></i>'+
                                        '</a>'+
                                        '<ul class="dropdown-menu aboutPopup">'+
                                            '<div class="aboutPop">'+
                                                '<ul>'+
                                                    '<li>'+
                                                        '<a onclick="editAboutPopup(this);" data-id="'+dataContent.id+'" href="javascript: void(0);">'+
                                                            '<img src="/images/pen.png"><span>Edit</span>'+
                                                        '</a>'+
                                                    '</li>'+
                                                    '<li>'+
                                                        '<a data-id="'+dataContent.id+'" onclick="javascript: deleteAbout($(this)); return false;" href="/$brandAboutDelete/'+dataContent.id+'">'+
                                                            '<img src="/images/trash.png"><span>Delete</span>'+
                                                        '</a>'+
                                                    '</li>'+
                                                '</ul>'+
                                            '</div>'+
                                        '</ul>'+
                                    '</li>'+
                                '</ul>'+
/*                            '</div>'+*/
                            '<div class="clear"></div>'+
                            '<a class="popupop '+cursorCls+'" href="javascript:void(0);" '+targetModal+'>'+
                                '<h3>'+dataContent.aboutTitle+'</h3>'+
                                '<img src="/images/sep.png" class="sep">'+
                                '<h5>'+dataContent.aboutDescription+'</h5>'+
                            '</a>'+
                        '</li>';
            
/*            if(isFullDescription) {*/
                html += '<div id="detailModel'+dataContent.id+'" class="modal fade" role="dialog">'+
                            '<div class="modal-dialog">'+
                                '<div class="modal-content aboutus_details">'+
                                    '<div class="modal-body">'+
                                        '<button type="button" class="close" data-dismiss="modal"><img src="/images/exit_blue.png"></button>'+
                                        '<h3>'+dataContent.aboutTitle+'</h3>'+
                                        '<img src="/images/sep.png" class="sep">'+
                                        '<h5>'+dataContent.aboutFullDescription+'</h5>'+
                                    '</div>'+                                  
                                '</div>'+
                              '</div>'+
                        '</div>';
/*            }*/
            
            $('.loading-indicator-background').remove();
            
            $('#aboutus_add_form').slideUp('slow', function(){
                $('#aboutus_list').append(html);
                var liCnt = $('#aboutus_list .about-box').length;
                if(liCnt > 0 && liCnt % 2 == 0)
                {
                    $('.about-box-extra').addClass('is_list_even');
                }
                else
                {
                    $('.about-box-extra').removeClass('is_list_even');
                }
                var myText = data.headerTitle;
                /*var addAboutText = (data.headerIndex == 0) ? "Add "+data.headerTitle : 
                                (data.headerIndex > 0) ? "Add "+myText.replace("Our", 'Your') : "Add Something About Us";
                
                $('.aboutus_add a').html('<i class="icon-plus"></i> '+addAboutText);*/
                $('.add-about').show();
                
                var descPlaceHolder = (data.headerIndex == 0) ? "Description about "+myText.toLowerCase() : 
                                    (data.headerIndex > 0) ? "Description about "+myText.toLowerCase() : "Description about us";
                var title  = (data.headerIndex == 0) ? "Aditional title" : data.headerTitle;
                titleField.val("");
                titleField.attr("placeholder", 'Title e.g '+title);
                contentField.val("");
                contentField.attr("placeholder", descPlaceHolder);
                $('#aboutus_add_form #hdnAboutHeader').val(data.headerTitle);
                //window.location.href = window.location.href;
            });
        }
    });
}

function editAboutPopup(obj)
{
    var aboutId = $(obj).data('id');
    
    window.loadingIndicator($('body')); 
    $('#aboutEditPopup').remove();
    ajaxSubmit('/$brandAboutPopup/' + aboutId, {'aboutId' : aboutId}, function(data) {
/*            $('body').append(data);*/
            $('#aboutus_edit_form').html(data);
            $('.aboutus_add_form').hide();
            $('#aboutus_edit_form').show();
            $('html,body').animate({
                scrollTop: $('#aboutus_edit_form').offset().top},
            'slow');
           
/*            $('#aboutEditPopup').modal('show');*/
            $('.loading-indicator-background').remove();
    });
    
}

function editAboutUs()
    {
        var titleField = $('#aboutus_edit_form .aboutus_title');
        var contentField = $('#aboutus_edit_form textarea.aboutus_description');
        var header = $('#aboutus_edit_form #hdnAboutHeader').val();
        var id = $('#aboutus_edit_form #hdnAboutId').val();
        
        if((titleField.length && titleField.val().trim().length < 1) || contentField.val().trim().length < 1)
        {
            labAlert("Please fill in the title and description before submitting the about us.");
            return;
        }
        
        window.loadingIndicator($('body'));
        
        ajaxSubmit('/$brandAboutEdit/'+g_brand.url , {
            'title': titleField.val().trim(),
            'content': contentField.val().trim(),
            'header': header,
            'aboutId': id,
        }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured while submitting the about us. " + error);
            }else{
                console.log("about us submitted", data);
               
                var msg = 'About us submitted successfully.';
                var dataContent = data.aboutData;
                
                var fullDesc = dataContent.aboutDescription;
                var tagerAction = '';
                $('#about_data_'+id+" .popupop").removeClass('makeCursor');
                $('#about_data_'+id+" .popupop").removeAttr('data-toggle');
                $('#about_data_'+id+" .popupop").removeAttr('data-target');
                if(typeof(dataContent.aboutFullDescription) != "undefined" && dataContent.aboutFullDescription != "") {
                    fullDesc = dataContent.aboutFullDescription;
                    $('#about_data_'+id+" .popupop").addClass('makeCursor');
                    $('#about_data_'+id+" .popupop").attr('data-toggle', 'modal');
                    $('#about_data_'+id+" .popupop").attr('data-target', '#detailModel'+dataContent.id);
                }
                
                $('#about_data_'+id+" h3").html(dataContent.aboutTitle);
                $('#about_data_'+id+" h5").html(dataContent.aboutDescription);
                $('#detailModel'+id+" .aboutus_details h3").html(dataContent.aboutTitle);
                $('#detailModel'+id+" .aboutus_details h5").html(fullDesc);
                $('#aboutEditPopup .close').trigger('click');
                $('.aboutus_add_form').hide();
                $('html,body').animate({
                    scrollTop: $('#about_data_'+id).offset().top},
                'slow');
                $('.loading-indicator-background').remove();
            }
        });
    }
    
function deleteAbout($el)
{
    labConfirm("Do you really want to delete this about us data?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $el.blur();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($el.attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#about_data_'+$el.data('id')).slideUp('slow', function(){ 
                        $(this).remove();  
                        
                        var liCnt = $('#aboutus_list .about-box').length;
                        if(liCnt > 0 && liCnt % 2 == 0)
                        {
                            $('.about-box-extra').addClass('is_list_even');
                        }
                        else
                        {
                            $('.about-box-extra').removeClass('is_list_even');
                        }
                        
                    });
                    
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
}

function updateAboutUsData(jsonString)
{
    window.loadingIndicator($('body'));
    ajaxSubmit('/$aboutUpdateOrder/'+g_brand.url , {
        'sortOrders': jsonString,
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while updating order. " + error);
        }else{
            console.log("about us order updated");
            
            $('.loading-indicator-background').remove();
        }
    });
}

window.onGloabalJS.push(function() {
    var el = document.getElementById('aboutus_list');
    var sortable = Sortable.create(el,{
        handle: ".my-handle",
        animation: 100,
        onUpdate: function (/**Event*/evt) {
            var itemEl = evt.item;  // dragged HTMLElement
            var indesxes = [];
            $(el).children('li').each(function(){
                indesxes.push({"id" : $(this).data('id')});
            });
            var jsonString = JSON.stringify([indesxes], null, ' ');
            updateAboutUsData(jsonString);
            // + indexes from onEnd
        },
    });
});


</script>